import { SimpleLocalIntegration } from '../../core/index.js';
import { BlackbirdConfigFlow } from './blackbird.classes.configflow.js';
import { createBlackbirdDiscoveryDescriptor } from './blackbird.discovery.js';
import type { IBlackbirdConfig } from './blackbird.types.js';
import { blackbirdDomain, blackbirdProfile } from './blackbird.types.js';

export class BlackbirdIntegration extends SimpleLocalIntegration<IBlackbirdConfig> {
  public readonly domain = blackbirdDomain;
  public readonly discoveryDescriptor = createBlackbirdDiscoveryDescriptor();
  public readonly configFlow = new BlackbirdConfigFlow();

  constructor() {
    super(blackbirdProfile);
  }
}

export class HomeAssistantBlackbirdIntegration extends BlackbirdIntegration {}
